/*>>> x_ran.c: the random selector subsystem */

/* Revised: 1993.04.25 */

#include <stdio.h>
#include <stdlib.h>

#include "sandef.h"
#include "sanvar.h"

#include "x_ran.h"

/*--> RANInit: one time call to initialize the RAN subsystem */
nonstatic
void
RANInit (void)
{

  return;
}

/*--> RANTerm: one time call to terminate the RAN subsystem */
nonstatic
void
RANTerm (void)
{

  return;
}

/*--> RANNewGame: send "new game" request to the RAN subsystem */
nonstatic
void
RANNewGame (void)
{

  return;
}

/*--> RANSelect: select a move */
nonstatic
void
RANSelect (void)
{
  select_m = *(curr_g.g_base + (rand () % curr_g.g_gmvc));

  return;
}

/*--> RANPlay: send "play move" request to the RAN subsystem */
nonstatic
void
RANPlay (void)
{

  return;
}

/*--> RANUnplay: send "unplay move" request to the RAN subsystem */
nonstatic
void
RANUnplay (void)
{

  return;
}

/*--> RANSetPos: send "set position" request to the RAN subsystem */
nonstatic
void
RANSetPos (void)
{

  return;
}

/*--> RANConfig: send "re-configuration" request to the RAN subsystem */
nonstatic
void
RANConfig (void)
{

  return;
}

/* x_ran.c: EOF */
